%define upstream_name    DBIx-Class-Helpers
%define upstream_version 2.007003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simplify the common case stuff for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 6.40.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::Candy) >= 0.1.3
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(String::CamelCase)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
A collection of various helper utilities for the DBIx::Class manpage stuff.
Probably only useful for components.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 2.7.3-1.mga2
+ Revision: 220123
- update to 2.007003

* Wed Jan 25 2012 jquelin <jquelin> 2.7.2-1.mga2
+ Revision: 200848
- update to 2.007002
- update to 2.007001

* Wed Mar 16 2011 jquelin <jquelin> 2.7.0-1.mga1
+ Revision: 72344
- update to 2.007000

* Tue Feb 01 2011 jquelin <jquelin> 2.6.0-1.mga1
+ Revision: 45696
- update to 2.006000
- mageia rebuild
- imported package perl-DBIx-Class-Helpers


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 2.5.0-1mdv2011.0
+ Revision: 624962
- import perl-DBIx-Class-Helpers

